Subject: Re: setup test #4
From: "Paul G." <[email-masked]>
To: [email-masked]
Date: Thu, 1 Nov 2001 22:37:29 -0800

snapshot -4

On 2 Nov 2001 at 16:12, the Illustrious Robert Collins wrote:

> Ok, we're down to the little stuff. (after yet another upload).
> 
> remaining TODO's:
> Src tickbox / source only can be confusing.
> Set the screen size for 640x480 users
> 
> recently completed TODO's:
> * installed packages aren't automatically upgraded.
> * Dependencies should not trigger alterations to user actions for
> installed packages that have any action other than uninstall.
> * Wide descriptions can get truncated - ie SSMTP
> * SKIP and KEEP sometimes appearing for the same package.
> 
> keep the feedback coming please, this is great.
> 
> Can the testers please retry now?
> 
> please, pay special attention to the remaining TODO's: would it confuse
> you the way the source action /src tickbox interact? 

	It does.  Even so, I can live with it.  Most end-users (naive newbies) are likely not going to 
care too much about what Src? column actually is.

> 
> If the confusion is bearable, I'd really like to call this version 'it'
> once I set the window size to a 640x480 usable template..

	Sounds good.

> 
> The long term goal for source downloads is to let them be selected
> separately from the binaries, either as separate source packages, or as
> a completely independent spin control where the current src box it.

	I like that latter approach.
> 
> The reason that there is a 'source only' in the New column is to handle
> the case where a user doesn't have the package installed, and doesn't
> want the binary installed - how do they indicate that they want just the
> source. "Skip + src=ticked" doesn't really make sense.

	Does "Keep" care whether binary has been installed or not?  If not, then "Keep+src=ticked" 
would handle this nicely.

	Paul G.
> 
> Rob
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/